response.generic_patterns = ['*']

db.define_table('kurssi', 
  Field('nimi', 'string', required=True, length=256, label="Kurssin nimi"),
  Field('koodi', 'string', required=True, length=8, label="Kurssikoodi"))


db.define_table('palaute', 
  Field('kurssi', 'reference kurssi', required=True),
  Field('palaute', 'string', required=False, length="4096", label="Kirjoita palaute", widget=SQLFORM.widgets.text.widget),
  Field('testi', 'list:string', required=False, label="testikenttä"),
  Field('arvosana', 'integer', required=True, default=0, requires=IS_IN_SET([0, 1, 2, 3, 4, 5]), widget=SQLFORM.widgets.radio.widget, label="Arvosana"))


# kenttien ominaisuuksia voi määritellä myös muualla kuin suoraan konstruktorissa
# määritellään viitekentän esitysmuoto ja mistä taulusta haetaan vaihtoehdot

db.palaute.kurssi.requires = IS_IN_DB(db, db.kurssi.id, '%(koodi)s %(nimi)s')
